{% extends 'base.html.twig' %}

{% block title %}Document index{% endblock %}

{% block body %}
<div class="container mx-auto my-5">
    <h1>Document index</h1>

    <table class="table">
        <thead>
            <tr>
                <th class="w-1/12">Id</th>
                <th class="w-3/12">Title</th>
                <th class="w-4/12">Description</th>
                <th class="w-1/12">File-Extension</th>
                <th class="w-2/12">actions</th>
            </tr>
        </thead>
        <tbody>
        {% for document in documents %}
            <tr>
                <td>{{ document.id }}</td>
                <td>{{ document.title }}</td>
                <td>{{ document.description }}</td>
                <td>
                    {% if document.physicalFile  %}
                        {{ document.physicalFile.extension }}
                    {% endif %}
                </td>
                <td>
                    <div class="inline-flex">
                        <a class="btn btn-outline-blue" href="{{ path('document_show', {'id': document.id}) }}">show</a>
                        <a class="btn btn-blue" href="{{ path('document_edit', {'id': document.id}) }}">edit</a>
                    </div>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a class="btn btn-big btn-green" href="{{ path('document_new') }}">Create new</a>
</div>
{% endblock %}
